Skip to main content

The user object

id
string<uuid>

Unique ID of the user.

Example:

"018051aa-f7a9-a0db-2f38-6cfa325e9d69"

created_at
string<date-time>

Timestamp (ISO 8601) when the user object was created.

Example:

"2023-01-30T22:25:38.971Z"

items_connected
string[]

Items the user has connected through Link. Typically employers or payroll platforms.

Example:
["item_123456789", "item_987654321"]
employers_connected
string[]

Individual employers associated with the connected Items.

Example:
["Whole Goods", "Bullseye"]
external_metadata
object

Free-text field where additional context for the user can be added.

  • Can be any valid JSON, such as a string or object.

Using external_id (see below) is recommended when the ability to filter users by an external value is needed.

Example:
{
"notes": "Moved to stage 2 of loan approval.",
"category": "Summer Initiative"
}
external_id
string

Free-text field where additional context for the user can be added.

  • Can be any string of 100 characters or less.
  • Multiple users can have the same external_id.

Often used to group users, or associate your internal ID's to users.

  • Can be attached to invites or shareable URLs.
  • Can be used as a query parameter when listing users. (Only exact matches are supported)
  • Can be used to search for specific users within the Connections section of Console.
  • Will appear on billing CSVs if associated with a user.
Example:

"July_Connection"

first_name
string

First name of the user.

Example:

"Sarah"

last_name
string

Last name of the user.

Example:

"Longfield"

email
string

Email of the user.

phone_number
string

Phone number of the user. E.164 international format.

Example:

"+12125555555"

ssn
string

Social Security number of the user.

Example:

null

address
object

Address of the user.

birth_date
object

Date of birth of the user.